> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2023-09-01/api/access-tokens/post-auth-token/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Create a token POST https://api.sandbox.monite.com/v1/auth/token Content-Type: application/json Create a new access token based on client ID and client secret. Reference: https://docs.monite.com/api/access-tokens/post-auth-token ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Headers - `x-monite-version` (string, required) ### Body (application/json) This endpoint expects an object. - `client_id` (string, required) - `client_secret` (string, required) - `grant_type` (enum, required) - Allowed values: `client_credentials`, `entity_user` - `entity_user_id` (string, optional) ## Response ### 200 Successful Response - `access_token` (string, required) - `expires_in` (integer, required) - `token_type` (string, required) ## Errors ### 401 Post Auth Token Request Unauthorized Error Unauthorized - `error` (ErrorSchema, required) ### 422 Post Auth Token Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Auth Token Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "client_id": "client_id", "client_secret": "client_secret", "grant_type": "client_credentials" } ``` **Response** ```json { "access_token": "L8qq9PZyRg6ieKGEKhZolGC0vJWLw8iEJ88DRdyOg", "expires_in": 86400, "token_type": "Bearer" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/auth/token" payload = { "client_id": "client_id", "client_secret": "client_secret", "grant_type": "client_credentials" } headers = { "x-monite-version": "2023-09-01", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/auth/token'; const options = { method: 'POST', headers: {'x-monite-version': '2023-09-01', 'Content-Type': 'application/json'}, body: '{"client_id":"client_id","client_secret":"client_secret","grant_type":"client_credentials"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/auth/token" payload := strings.NewReader("{\n \"client_id\": \"client_id\",\n \"client_secret\": \"client_secret\",\n \"grant_type\": \"client_credentials\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-monite-version", "2023-09-01") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/auth/token") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2023-09-01' request["Content-Type"] = 'application/json' request.body = "{\n \"client_id\": \"client_id\",\n \"client_secret\": \"client_secret\",\n \"grant_type\": \"client_credentials\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/auth/token") .header("x-monite-version", "2023-09-01") .header("Content-Type", "application/json") .body("{\n \"client_id\": \"client_id\",\n \"client_secret\": \"client_secret\",\n \"grant_type\": \"client_credentials\"\n}") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/auth/token', [ 'body' => '{ "client_id": "client_id", "client_secret": "client_secret", "grant_type": "client_credentials" }', 'headers' => [ 'Content-Type' => 'application/json', 'x-monite-version' => '2023-09-01', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/auth/token"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2023-09-01"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"client_id\": \"client_id\",\n \"client_secret\": \"client_secret\",\n \"grant_type\": \"client_credentials\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2023-09-01", "Content-Type": "application/json" ] let parameters = [ "client_id": "client_id", "client_secret": "client_secret", "grant_type": "client_credentials" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/auth/token")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```